commit 5dca3958e0d4e4f4ab8da6e073705425b81f3c91
Author: Yuki Sonoda (Yugui) <yugui@yugui.jp>
Date:   Wed Feb 9 15:31:15 2011 +0900

    hide some form pages from robots

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb
index c6d8848..32481f3 100644
--- a/app/helpers/application_helper.rb
+++ b/app/helpers/application_helper.rb
@@ -898,6 +898,10 @@ module ApplicationHelper
   def favicon
     "<link rel='shortcut icon' href='#{image_path('/favicon.ico')}' />"
   end
+
+  def robot_exclusion_tag
+    '<meta name="ROBOTS" content="NOINDEX,FOLLOW,NOARCHIVE" />'
+  end
   
   # Returns true if arg is expected in the API response
   def include_in_api_response?(arg)
diff --git a/app/views/issue_moves/new.rhtml b/app/views/issue_moves/new.rhtml
index cd60440..24d59ae 100644
--- a/app/views/issue_moves/new.rhtml
+++ b/app/views/issue_moves/new.rhtml
@@ -74,3 +74,6 @@
 	<%= submit_tag l(:button_move_and_follow), :name => 'follow' %>
 <% end %>
 <% end %>
+<% content_for :header_tags do %>
+	<%= robot_exclusion_tag %>
+<% end %>
diff --git a/app/views/issues/edit.rhtml b/app/views/issues/edit.rhtml
index 97f26a2..f2c6024 100644
--- a/app/views/issues/edit.rhtml
+++ b/app/views/issues/edit.rhtml
@@ -1,3 +1,6 @@
 <h2><%=h "#{@issue.tracker.name} ##{@issue.id}" %></h2>
 
 <%= render :partial => 'edit' %>
+<% content_for :header_tags do %>
+    <%= robot_exclusion_tag %>
+<% end %>
diff --git a/app/views/issues/new.rhtml b/app/views/issues/new.rhtml
index 1399238..867590f 100644
--- a/app/views/issues/new.rhtml
+++ b/app/views/issues/new.rhtml
@@ -23,4 +23,5 @@
 
 <% content_for :header_tags do %>
     <%= stylesheet_link_tag 'scm' %>
+    <%= robot_exclusion_tag %>
 <% end %>
diff --git a/app/views/wiki/edit.rhtml b/app/views/wiki/edit.rhtml
index 2615075..5f47c3f 100644
--- a/app/views/wiki/edit.rhtml
+++ b/app/views/wiki/edit.rhtml
@@ -23,6 +23,7 @@
 
 <% content_for :header_tags do %>
   <%= stylesheet_link_tag 'scm' %>
+  <%= robot_exclusion_tag %>
 <% end %>
 
 <% html_title @page.pretty_title %>
